## linux 4.9.110

=== Makefile ===
VERSION = 4
PATCHLEVEL = 9
SUBLEVEL = 110
EXTRAVERSION =
NAME = Roaring Lionus

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
  tools_silent=s
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
  tools_silent=-s
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
NOSTDINC_FLAGS  =
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
LDFLAGS_vmlinux =

# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-I$(objtree)/include/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-I$(objtree)/include

LINUXINCLUDE	+= $(filter-out $(LINUXINCLUDE),$(USERINCLUDE))

=== debian/changelog ===
linux (4.9.110-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.108
    - tpm: do not suspend/resume if power stays on
    - tpm: self test failure should not cause suspend to fail
    - mmap: introduce sane default mmap limits
    - mmap: relax file size limit for regular files
    - btrfs: define SUPER_FLAG_METADUMP_V2
    - drm: set FMODE_UNSIGNED_OFFSET for drm files
    - bnx2x: use the right constant
    - dccp: don't free ccid2_hc_tx_sock struct in dccp_disconnect()
    - enic: set DMA mask to 47 bit
    - ip6mr: only set ip6mr_table from setsockopt when ip6mr_new_table succeeds
    - ipv4: remove warning in ip_recv_error
    - isdn: eicon: fix a missing-check bug
    - net/packet: refine check for priv area size
    - net: usb: cdc_mbim: add flag FLAG_SEND_ZLP
    - packet: fix reserve calculation
    - qed: Fix mask for physical address in ILT entry
    - sctp: not allow transport timeout value less than HZ/5 for hb_timer
    - team: use netdev_features_t instead of u32
    - vhost: synchronize IOTLB message with dev cleanup
    - vrf: check the original netdevice for generating redirect
    - net/mlx4: Fix irq-unsafe spinlock usage
    - rtnetlink: validate attributes in do_setlink()
    - net: phy: broadcom: Fix bcm_write_exp()
    - net: metrics: add proper netlink validation
    - dm bufio: avoid false-positive Wmaybe-uninitialized warning
    - objtool: complete e390f9a port for v4.9.106
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.109
    - [x86] fpu: Hard-disable lazy FPU mode
    - bonding: correctly update link status during mii-commit phase
    - bonding: fix active-backup transition
    - bonding: require speed/duplex only for 802.3ad, alb and tlb
    - nvme-pci: initialize queue memory before interrupts
    - af_key: Always verify length of provided sadb_key
    - [x86] crypto, x86/fpu: Remove X86_FEATURE_EAGER_FPU #ifdef from the
      crc32c code
    - nvmet: Move serial number from controller to subsystem
    - nvmet: don't report 0-bytes in serial number
    - nvmet: don't overwrite identify sn/fr with 0-bytes
    - gpio: No NULL owner
    - [x86] KVM: introduce linear_{read,write}_system
    - [x86] KVM: pass kvm_vcpu to kvm_read_guest_virt and
      kvm_write_guest_virt_system
    - usbip: vhci_sysfs: fix potential Spectre v1 (CVE-2017-5753)
    - [armhf] serial: samsung: fix maxburst parameter for DMA transactions
    - [armhf] serial: 8250: omap: Fix idling of clocks for unused uarts
    - [x86] vmw_balloon: fixing double free when batching mode is off
    - [armhf,arm64] tty: pl011: Avoid spuriously stuck-off interrupts
    - [x86] kvm: use correct privilege level for sgdt/sidt/fxsave/fxrstor
      access (CVE-2018-10853)
    - [powerpc*] crypto: vmx - Remove overly verbose printk from AES init
      routines
    - [armhf] crypto: omap-sham - fix memleak
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.110
    - xfrm6: avoid potential infinite loop in _decode_session6()
    - netfilter: ebtables: handle string from userspace with care
    - ipvs: fix buffer overflow with sync daemon and service
    - iwlwifi: pcie: compare with number of IRQs requested for, not number of
      CPUs
    - atm: zatm: fix memcmp casting
    - [x86] platform: asus-wmi: Fix NULL pointer dereference
    - Revert "Btrfs: fix scrub to repair raid6 corruption"
    - tcp: do not overshoot window_clamp in tcp_rcv_space_adjust()
    - Btrfs: make raid6 rebuild retry more
    - [armhf] usb: musb: fix remote wakeup racing with suspend
    - bonding: re-evaluate force_primary when the primary slave name changes
    - ipv6: allow PMTU exceptions to local routes
    - net/sched: act_simple: fix parsing of TCA_DEF_DATA
    - tcp: verify the checksum of the first data segment in a new connection
    - ext4: fix hole length detection in ext4_ind_map_blocks()
    - ext4: update mtime in ext4_punch_hole even if no blocks are released
    - ext4: fix fencepost error in check for inode count overflow during resize
    - driver core: Don't ignore class_dir_create_and_add() failure.
    - Btrfs: fix clone vs chattr NODATASUM race
    - Btrfs: fix memory and mount leak in btrfs_ioctl_rm_dev_v2()
    - btrfs: scrub: Don't use inode pages for device replace
    - ALSA: hda - Handle kzalloc() failure in snd_hda_attach_pcm_stream()
    - smb3: on reconnect set PreviousSessionId field
    - cpufreq: Fix new policy initialization during limits updates via sysfs
    - libata: zpodd: make arrays cdb static, reduces object code size
    - libata: zpodd: small read overflow in eject_tray()
    - libata: Drop SanDisk SD7UB3Q*G1001 NOLPM quirk
    - [x86] HID: intel_ish-hid: ipc: register more pm callbacks to support
      hibernation
    - vhost: fix info leak due to uninitialized memory (CVE-2018-1118)
    - fs/binfmt_misc.c: do not allow offset overflow

  [ Ben Hutchings ]
  * netfilter: xt_hashlimit: Fix integer divide round to zero.
    (Closes: #872907)
  * [arm64,powerpc*,x86] drm/ast: Add support for new chips and boards
    (Closes: #860900):
    - drm/ast: const'ify mode setting tables
    - drm/ast: Remove spurrious include
    - drm/ast: Fix calculation of MCLK
    - drm/ast: Base support for AST2500
    - drm/ast: Fixed vram size incorrect issue on POWER
    - drm/ast: Factor mmc_test code in POST code
    - drm/ast: Rename ast_init_dram_2300 to ast_post_chip_2300
    - drm/ast: POST code for the new AST2500
  * ext4: add corruption check in ext4_xattr_set_entry() (CVE-2018-10879)
  * ext4: always verify the magic number in xattr blocks (CVE-2018-10879)
  * ext4: always check block group bounds in ext4_init_block_bitmap()
    (CVE-2018-10878)
  * ext4: make sure bitmaps and the inode table don't overlap with bg
    descriptors (CVE-2018-10878)
  * ext4: only look at the bg_flags field if it is valid (CVE-2018-10876)
  * ext4: verify the depth of extent tree in ext4_find_extent()


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc-base <!stage1 !nodoc !pkg.linux.notools> | asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex (>= 2.6.1-1.1~) <!stage1 !pkg.linux.notools !nopython> | flex:native <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-ctf-dev (>= 1.5.0) <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, gcc-6 [alpha arm64 armel armhf hppa m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64] <!stage1 !cross>, gcc-6-alpha-linux-gnu [alpha] <!stage1 cross>, gcc-6 (>= 6.3.0-18+deb9u1~) [amd64 i386] <!stage1 !cross>, gcc-6-x86-64-linux-gnu (>= 6.3.0-18+deb9u1~) [amd64] <!stage1 cross>, gcc-6-aarch64-linux-gnu [arm64] <!stage1 cross>, gcc-6-arm-linux-gnueabi [armel] <!stage1 cross>, gcc-6-arm-linux-gnueabihf [armhf] <!stage1 cross>, binutils-hppa64-linux-gnu [hppa] <!stage1 !cross>, gcc-6-hppa64-linux-gnu [hppa] <!stage1 !cross>, gcc-6-hppa-linux-gnu [hppa] <!stage1 cross>, binutils-hppa64-linux-gnu [hppa] <!stage1 cross>, gcc-6-hppa64-linux-gnu [hppa] <!stage1 cross>, gcc-6-i686-linux-gnu (>= 6.3.0-18+deb9u1~) [i386] <!stage1 cross>, gcc-6-m68k-linux-gnu [m68k] <!stage1 cross>, gcc-6-mips-linux-gnu [mips] <!stage1 cross>, gcc-6-mipsel-linux-gnu [mipsel] <!stage1 cross>, gcc-6-mips64-linux-gnuabi64 [mips64] <!stage1 cross>, gcc-6-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross>, gcc-6-powerpc-linux-gnu [powerpc] <!stage1 cross>, gcc-6-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross>, gcc-6-powerpc64-linux-gnu [ppc64] <!stage1 cross>, gcc-6-powerpc64le-linux-gnu [ppc64el] <!stage1 cross>, gcc-6-s390x-linux-gnu [s390x] <!stage1 cross>, gcc-6-sh4-linux-gnu [sh4] <!stage1 cross>, gcc-6-sparc64-linux-gnu [sparc64] <!stage1 cross>
Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git

Package: linux-source-4.9
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.9 with Debian patches
 This package provides source code for the Linux kernel version 4.9. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-support-4.9.0-7
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.9
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.9
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.9
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.9.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.9/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-manual-4.9
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.9
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-kbuild-4.9
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 4.9
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 4.9.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: linux-perf-4.9
Architecture: alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-tools-4.9
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base
Suggests: linux-doc-4.9
Replaces: linux-tools-4.9
Conflicts: linux-tools-4.9
Description: Performance analysis tools for Linux 4.9
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 4.9.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.
Build-Profiles: <!stage1 !pkg.linux.notools !nopython>

Package: libusbip-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}
Description: USB device sharing system over IP network (development files)
 USB/IP is a system for sharing USB devices over the network.
 .
 This package provides headers for the libusbip library and the library
 itself for static linking.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: linux-headers-4.9.0-7-common
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-7
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-7, generally used for building out-of-tree kernel modules.
 To obtain a complete set of headers you also need to install the
 linux-headers-4.9.0-7-(flavour) package, matching the flavour of the
 kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-7-common-rt
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-7-rt
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-7 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-4.9.0-7-(flavour) package,
 matching the flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel mipsn32 mipsn32el powerpc powerpcspe ppc64 ppc64el s390 s390x sh3 sh4 sparc sparc64 tilegx x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-4.9.0-7-all

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-7-alpha-generic [alpha], linux-image-4.9.0-7-alpha-smp [alpha], linux-image-4.9.0-7-amd64 [amd64], linux-image-4.9.0-7-rt-amd64 [amd64], linux-image-4.9.0-7-arm64 [arm64], linux-image-4.9.0-7-marvell [armel], linux-image-4.9.0-7-armmp [armhf], linux-image-4.9.0-7-armmp-lpae [armhf], linux-image-4.9.0-7-parisc [hppa], linux-image-4.9.0-7-parisc64-smp [hppa], linux-image-4.9.0-7-686 [i386], linux-image-4.9.0-7-686-pae [i386], linux-image-4.9.0-7-rt-686-pae [i386], linux-image-4.9.0-7-m68k [m68k], linux-image-4.9.0-7-4kc-malta [mips mipsel], linux-image-4.9.0-7-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.9.0-7-octeon [mips mipsel mips64 mips64el], linux-image-4.9.0-7-loongson-3 [mipsel mips64el], linux-image-4.9.0-7-powerpc [powerpc], linux-image-4.9.0-7-powerpc-smp [powerpc], linux-image-4.9.0-7-powerpc64 [powerpc ppc64], linux-image-4.9.0-7-powerpcspe [powerpcspe], linux-image-4.9.0-7-powerpc64le [ppc64el], linux-image-4.9.0-7-s390x [s390x], linux-image-4.9.0-7-sh7751r [sh4], linux-image-4.9.0-7-sh7785lcr [sh4], linux-image-4.9.0-7-sparc64 [sparc64], linux-image-4.9.0-7-sparc64-smp [sparc64]
Classes: smp

## linux 4.9.130

=== debian/changelog ===
linux (4.9.130-2) stretch; urgency=medium

  [ Salvatore Bonaccorso ]
  * Ignore ABI change for return_address.
    Fixes "FTBFS on armel/armhf: ABI change for return_address".
    Modules will use their own inline copy.
    Thanks to Cyril Brulebois for the analysis (Closes: #911421)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 27 Oct 2018 19:46:16 +0100

linux (4.9.130-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.111
    - [x86] spectre_v1: Disable compiler optimizations over
      array_index_mask_nospec()
    - [x86] mce: Improve error message when kernel cannot recover
    - [x86] mce: Check for alternate indication of machine check recovery on
      Skylake
    - [x86] mce: Fix incorrect "Machine check from unknown source" message
    - [x86] mce: Do not overwrite MCi_STATUS in mce_no_way_out()
    - [x86]  Call fixup_exception() before notify_die() in math_error()
    - [m68k] mm: Adjust VM area to be unmapped by gap size for __iounmap()
    - [sh4] serial: sh-sci: Use spin_{try}lock_irqsave instead of open coding
      version
    - usb: do not reset if a low-speed or full-speed device timed out
    - 1wire: family module autoload fails because of upper/lower case
      mismatch.
    - ASoC: dapm: delete dapm_kcontrol_data paths list before freeing it
    - lib/vsprintf: Remove atomic-unsafe support for %pCr
    - [mips*] ftrace: fix static function graph tracing
    - branch-check: fix long->int truncation when profiling branches
    - ipmi:bt: Set the timeout before doing a capabilities check
    - Bluetooth: hci_qca: Avoid missing rampatch failure with userspace fw
      loader
    - fuse: atomic_o_trunc should truncate pagecache
    - fuse: don't keep dead fuse_conn at fuse_fill_super().
    - fuse: fix control dir setup and teardown
    - [powerpc*] mm/hash: Add missing isync prior to kernel stack SLB switch
    - [powerpc*] ptrace: Fix setting 512B aligned breakpoints with
      PTRACE_SET_DEBUGREG
    - [powerpc*] /ptrace: Fix enforcement of DAWR constraints
    - [powerpc*] powernv/ioda2: Remove redundant free of TCE pages
    - [poewrpc*] cpuidle: powernv: Fix promotion from snooze if next state
      disabled
    - [powerpc*] fadump: Unregister fadump on kexec down path.
    - [arm*] 8764/1: kgdb: fix NUMREGBYTES so that gdb_regs[] is the correct
      size
    - [arm64] kpti: Use early_param for kpti= command-line option
    - [arm64] mm: Ensure writes to swapper are ordered wrt subsequent cache
      maintenance
    - IB/qib: Fix DMA api warning with debug kernel
    - IB/{hfi1, qib}: Add handling of kernel restart
    - IB/mlx5: Fetch soft WQE's on fatal error state
    - IB/isert: Fix for lib/dma_debug check_sync warning
    - IB/isert: fix T10-pi check mask setting
    - RDMA/mlx4: Discard unknown SQP work requests
    - mtd: cfi_cmdset_0002: Change write buffer to check correct value
    - mtd: cfi_cmdset_0002: Use right chip in do_ppb_xxlock()
    - mtd: cfi_cmdset_0002: fix SEGV unlocking multiple chips
    - mtd: cfi_cmdset_0002: Fix unlocking requests crossing a chip boudary
    - mtd: cfi_cmdset_0002: Avoid walking all chips when unlocking.
    - PCI: Add ACS quirk for Intel 7th & 8th Gen mobile
    - PCI: Add ACS quirk for Intel 300 series
    - PCI: pciehp: Clear Presence Detect and Data Link Layer Status Changed on
      resume
    - printk: fix possible reuse of va_list variable
    - [mips*] io: Add barrier after register read in inX()
    - time: Make sure jiffies_to_msecs() preserves non-zero time periods
    - Btrfs: fix return value on rename exchange failure
    - Btrfs: fix unexpected cow in run_delalloc_nocow
    - iio:buffer: make length types match kfifo types
    - scsi: qla2xxx: Fix setting lower transfer speed if GPSC fails
    - [s390x] scsi: zfcp: fix missing SCSI trace for result of
      eh_host_reset_handler
    - [s390x] scsi: zfcp: fix missing SCSI trace for retry of abort / scsi_eh
      TMF
    - [s390x] scsi: zfcp: fix misleading REC trigger trace where erp_action
      setup failed
    - [s390x] scsi: zfcp: fix missing REC trigger trace on terminate_rport_io
      early return
    - [s390x] scsi: zfcp: fix missing REC trigger trace on terminate_rport_io
      for ERP_FAILED
    - [s390x] scsi: zfcp: fix missing REC trigger trace for all objects in
      ERP_FAILED
    - [s390x] scsi: zfcp: fix missing REC trigger trace on enqueue without ERP
      thread
    - linvdimm, pmem: Preserve read-only setting for pmem devices
    - md: fix two problems with setting the "re-add" device state.
    - ubi: fastmap: Cancel work upon detach
    - ubi: fastmap: Correctly handle interrupted erasures in EBA
    - UBIFS: Fix potential integer overflow in allocation
    - [x86] mfd: intel-lpss: Program REMAP register in PIO mode
    - perf tools: Fix symbol and object code resolution for vdso32 and vdsox32
    - perf intel-pt: Fix sync_switch INTEL_PT_SS_NOT_TRACING
    - perf intel-pt: Fix decoding to accept CBR between FUP and corresponding
      TIP
    - perf intel-pt: Fix MTC timing after overflow
    - perf intel-pt: Fix "Unexpected indirect branch" error
    - perf intel-pt: Fix packet decoding of CYC packets
    - media: v4l2-compat-ioctl32: prevent go past max size
    - media: cx231xx: Add support for AverMedia DVD EZMaker 7
    - media: dvb_frontend: fix locking issues at dvb_frontend_get_event()
    - nfsd: restrict rd_maxcount to svc_max_payload in nfsd_encode_readdir
    - NFSv4: Fix possible 1-byte stack overflow in
      nfs_idmap_read_and_verify_message
    - NFSv4: Revert commit 5f83d86cf531d ("NFSv4.x: Fix wraparound issues..")
    - video: uvesafb: Fix integer overflow in allocation (CVE-2018-13406)
    - Input: elan_i2c - add ELAN0618 (Lenovo v330 15IKB) ACPI ID
    - pwm: lpss: platform: Save/restore the ctrl register over a
      suspend/resume
    - rbd: flush rbd_dev->watch_dwork after watch is unregistered


=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc-base <!stage1 !nodoc !pkg.linux.notools> | asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex (>= 2.6.1-1.1~) <!stage1 !pkg.linux.notools !nopython> | flex:native <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-dev (>= 1.5.0) <!stage1 !pkg.linux.notools !nopython>, libbabeltrace-ctf-dev (>= 1.5.0) <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, gcc-6 [alpha arm64 armel armhf hppa m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64] <!stage1 !cross>, gcc-6-alpha-linux-gnu [alpha] <!stage1 cross>, gcc-6 (>= 6.3.0-18+deb9u1~) [amd64 i386] <!stage1 !cross>, gcc-6-x86-64-linux-gnu (>= 6.3.0-18+deb9u1~) [amd64] <!stage1 cross>, gcc-6-aarch64-linux-gnu [arm64] <!stage1 cross>, gcc-6-arm-linux-gnueabi [armel] <!stage1 cross>, gcc-6-arm-linux-gnueabihf [armhf] <!stage1 cross>, binutils-hppa64-linux-gnu [hppa] <!stage1 !cross>, gcc-6-hppa64-linux-gnu [hppa] <!stage1 !cross>, gcc-6-hppa-linux-gnu [hppa] <!stage1 cross>, binutils-hppa64-linux-gnu [hppa] <!stage1 cross>, gcc-6-hppa64-linux-gnu [hppa] <!stage1 cross>, gcc-6-i686-linux-gnu (>= 6.3.0-18+deb9u1~) [i386] <!stage1 cross>, gcc-6-m68k-linux-gnu [m68k] <!stage1 cross>, gcc-6-mips-linux-gnu [mips] <!stage1 cross>, gcc-6-mipsel-linux-gnu [mipsel] <!stage1 cross>, gcc-6-mips64-linux-gnuabi64 [mips64] <!stage1 cross>, gcc-6-mips64el-linux-gnuabi64 [mips64el] <!stage1 cross>, gcc-6-powerpc-linux-gnu [powerpc] <!stage1 cross>, gcc-6-powerpc-linux-gnuspe [powerpcspe] <!stage1 cross>, gcc-6-powerpc64-linux-gnu [ppc64] <!stage1 cross>, gcc-6-powerpc64le-linux-gnu [ppc64el] <!stage1 cross>, gcc-6-s390x-linux-gnu [s390x] <!stage1 cross>, gcc-6-sh4-linux-gnu [sh4] <!stage1 cross>, gcc-6-sparc64-linux-gnu [sparc64] <!stage1 cross>
 Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
 Homepage: https://www.kernel.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
-Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git
+Vcs-Browser: https://salsa.debian.org/kernel-team/linux
+Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
 Package: linux-source-4.9
 Architecture: all
@@ -25,7 +25,7 @@
 Build-Profiles: <!stage1>
 Multi-Arch: foreign
 
-Package: linux-support-4.9.0-7
+Package: linux-support-4.9.0-8
 Architecture: all
 Section: devel
 Depends: ${python3:Depends}, ${misc:Depends}
@@ -179,26 +179,26 @@
  host to freeze the guest filesystems while taking a snapshot.
 Build-Profiles: <!stage1 !pkg.linux.notools>
 
-Package: linux-headers-4.9.0-7-common
-Architecture: all
-Depends: ${misc:Depends}
-Description: Common header files for Linux 4.9.0-7
+Package: linux-headers-4.9.0-8-common
+Architecture: all
+Depends: ${misc:Depends}
+Description: Common header files for Linux 4.9.0-8
  This package provides the common kernel header files for Linux kernel
- version 4.9.0-7, generally used for building out-of-tree kernel modules.
+ version 4.9.0-8, generally used for building out-of-tree kernel modules.
  To obtain a complete set of headers you also need to install the
- linux-headers-4.9.0-7-(flavour) package, matching the flavour of the
+ linux-headers-4.9.0-8-(flavour) package, matching the flavour of the
  kernel you intend the build for.
 Build-Profiles: <!stage1>
 Multi-Arch: foreign
 
-Package: linux-headers-4.9.0-7-common-rt
-Architecture: all
-Depends: ${misc:Depends}
-Description: Common header files for Linux 4.9.0-7-rt
+Package: linux-headers-4.9.0-8-common-rt
+Architecture: all
+Depends: ${misc:Depends}
+Description: Common header files for Linux 4.9.0-8-rt
  This package provides the common kernel header files for Linux kernel
- version 4.9.0-7 with the PREEMPT_RT featureset, generally used for
+ version 4.9.0-8 with the PREEMPT_RT featureset, generally used for
  building out-of-tree kernel modules.  To obtain a complete set of headers
- you also need to install the linux-headers-4.9.0-7-(flavour) package,
+ you also need to install the linux-headers-4.9.0-8-(flavour) package,
  matching the flavour of the kernel you intend the build for.
 Build-Profiles: <!stage1>
 Multi-Arch: foreign
@@ -214,4 +214,5 @@
  libraries.
 Multi-Arch: same
 
-Package: linux-headers-4.9.0-7-all
+Package: linux-headers-4.9.0-8-all
+Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
